summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Cherife Li <cherife@dotimes.com>2010-05-11 22:54:23 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:23 +0200
commitd00db7f8a06f40a81a9ffb9c1af780bcd4341361 (patch)
tree3ccca73b6c10451b6a4daa44b959caf1caace994
parent87d2d5808544483825fef742fdac194bd01e7b59 (diff)
downloadslackbuilds-d00db7f8a06f40a81a9ffb9c1af780bcd4341361.tar.gz
slackbuilds-d00db7f8a06f40a81a9ffb9c1af780bcd4341361.tar.xz
libraries/pidgin-hotkeys: Added to 12.1 repository
-rw-r--r--libraries/pidgin-hotkeys/README4
-rw-r--r--libraries/pidgin-hotkeys/pidgin-hotkeys.SlackBuild59
-rw-r--r--libraries/pidgin-hotkeys/pidgin-hotkeys.info8
-rw-r--r--libraries/pidgin-hotkeys/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/libraries/pidgin-hotkeys/README b/libraries/pidgin-hotkeys/README
new file mode 100644
index 0000000000..0e712bb0ab
--- /dev/null
+++ b/libraries/pidgin-hotkeys/README
@@ -0,0 +1,4 @@
+pidgin-hotkeys is a Pidgin (previously known as Gaim) plugin that
+allows you to define global hotkeys for various actions such as
+toggling buddy list, fetching queued messages, opening preferences
+or account dialog.
diff --git a/libraries/pidgin-hotkeys/pidgin-hotkeys.SlackBuild b/libraries/pidgin-hotkeys/pidgin-hotkeys.SlackBuild
new file mode 100644
index 0000000000..8b282c7234
--- /dev/null
+++ b/libraries/pidgin-hotkeys/pidgin-hotkeys.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# Slackware build script for pidgin-hotkeys
+#
+# Written by Cherife Li <cherife@dotimes.com>.
+
+PRGNAM=pidgin-hotkeys
+VERSION=0.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make -j3 || exit 1
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pidgin-hotkeys/pidgin-hotkeys.info b/libraries/pidgin-hotkeys/pidgin-hotkeys.info
new file mode 100644
index 0000000000..042c4a150a
--- /dev/null
+++ b/libraries/pidgin-hotkeys/pidgin-hotkeys.info
@@ -0,0 +1,8 @@
+PRGNAM="pidgin-hotkeys"
+VERSION="0.2.3"
+HOMEPAGE="http://pidgin-hotkeys.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pidgin-hotkeys/pidgin-hotkeys-0.2.3.tar.gz"
+MD5SUM="d52990ef934f396424dc61b5bc33d97d"
+MAINTAINER="Cherife Li"
+EMAIL="cherife@dotimes.com"
+APPROVED="rworkman"
diff --git a/libraries/pidgin-hotkeys/slack-desc b/libraries/pidgin-hotkeys/slack-desc
new file mode 100644
index 0000000000..9e28944293
--- /dev/null
+++ b/libraries/pidgin-hotkeys/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+pidgin-hotkeys: pidgin-hotkeys
+pidgin-hotkeys:
+pidgin-hotkeys: pidgin-hotkeys is a Pidgin (previously known as Gaim) plugin
+pidgin-hotkeys: that allows you to define global hotkeys for various actions
+pidgin-hotkeys: such as toggling buddy list, fetching queued messages, opening
+pidgin-hotkeys: preferences or account dialog.
+pidgin-hotkeys:
+pidgin-hotkeys:
+pidgin-hotkeys: Homepage: http://pidgin-hotkeys.sourceforge.net/
+pidgin-hotkeys:
+pidgin-hotkeys: